WSNotification::Elements::NotificationProducerRP(3pm)

NAME
WSNotification::Elements::NotificationProducerRP

DESCRIPTION
Perl data type class for the XML Schema defined element NotificationProducerRP from the namespace http://docs.oasis-open.org/wsn/b-2.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TopicExpression

     $element->set_TopicExpression($data);
     $element->get_TopicExpression();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   FixedTopicSet

     $element->set_FixedTopicSet($data);
     $element->get_FixedTopicSet();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   TopicExpressionDialect

     $element->set_TopicExpressionDialect($data);
     $element->get_TopicExpressionDialect();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   TopicSet

     $element->set_TopicSet($data);
     $element->get_TopicSet();

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
 my $element = WSNotification::Elements::NotificationProducerRP->new($data);

Constructor. The following data structure may be passed to new():

 {
   TopicExpression =>  { # WSNotification::Types::TopicExpressionType
   },
   FixedTopicSet =>  $some_value, # boolean
   TopicExpressionDialect =>  $some_value, # anyURI
   TopicSet =>  { # WSNotification::Types::TopicSetType
   },
 },

AUTHOR
Generated by SOAP::WSDL